| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::FlushTestContentContext Class Reference
Inheritance diagram for impeller::testing::FlushTestContentContext:

## Public Member Functions
| FlushTestContentContext (const std::shared_ptr< Context > &context, const std::shared_ptr< TypographerContext > &typographer_context, const std::shared_ptr< Allocator > &allocator)
Public Member Functions inherited from impeller::ContentContext
| ContentContext (std::shared_ptr< Context > context, std::shared_ptr< TypographerContext > typographer_context, std::shared_ptr< RenderTargetAllocator > render_target_allocator=nullptr)
| ~ContentContext ()
bool | IsValid () const
Tessellator & | GetTessellator () const
PipelineRef | GetBlendColorBurnPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendColorDodgePipeline (ContentContextOptions opts) const
PipelineRef | GetBlendColorPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendDarkenPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendDifferencePipeline (ContentContextOptions opts) const
PipelineRef | GetBlendExclusionPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendHardLightPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendHuePipeline (ContentContextOptions opts) const
PipelineRef | GetBlendLightenPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendLuminosityPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendMultiplyPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendOverlayPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendSaturationPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendScreenPipeline (ContentContextOptions opts) const
PipelineRef | GetBlendSoftLightPipeline (ContentContextOptions opts) const
PipelineRef | GetBorderMaskBlurPipeline (ContentContextOptions opts) const
PipelineRef | GetCirclePipeline (ContentContextOptions opts) const
PipelineRef | GetClearBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetClipPipeline (ContentContextOptions opts) const
PipelineRef | GetColorMatrixColorFilterPipeline (ContentContextOptions opts) const
PipelineRef | GetConicalGradientFillPipeline (ContentContextOptions opts, ConicalKind kind) const
PipelineRef | GetConicalGradientSSBOFillPipeline (ContentContextOptions opts, ConicalKind kind) const
PipelineRef | GetConicalGradientUniformFillPipeline (ContentContextOptions opts, ConicalKind kind) const
PipelineRef | GetDestinationATopBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetDestinationBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetDestinationInBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetDestinationOutBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetDestinationOverBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetDownsamplePipeline (ContentContextOptions opts) const
PipelineRef | GetDrawShadowVerticesPipeline (ContentContextOptions opts) const
PipelineRef | GetDownsampleBoundedPipeline (ContentContextOptions opts) const
PipelineRef | GetDrawVerticesUberPipeline (BlendMode blend_mode, ContentContextOptions opts) const
PipelineRef | GetFastGradientPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendColorBurnPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendColorDodgePipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendColorPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendDarkenPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendDifferencePipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendExclusionPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendHardLightPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendHuePipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendLightenPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendLuminosityPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendMultiplyPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendOverlayPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendSaturationPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendScreenPipeline (ContentContextOptions opts) const
PipelineRef | GetFramebufferBlendSoftLightPipeline (ContentContextOptions opts) const
PipelineRef | GetGaussianBlurPipeline (ContentContextOptions opts) const
PipelineRef | GetGlyphAtlasPipeline (ContentContextOptions opts) const
PipelineRef | GetLinePipeline (ContentContextOptions opts) const
PipelineRef | GetLinearGradientFillPipeline (ContentContextOptions opts) const
PipelineRef | GetLinearGradientSSBOFillPipeline (ContentContextOptions opts) const
PipelineRef | GetLinearGradientUniformFillPipeline (ContentContextOptions opts) const
PipelineRef | GetLinearToSrgbFilterPipeline (ContentContextOptions opts) const
PipelineRef | GetModulateBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetMorphologyFilterPipeline (ContentContextOptions opts) const
PipelineRef | GetPlusBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetPorterDuffPipeline (BlendMode mode, ContentContextOptions opts) const
PipelineRef | GetRadialGradientFillPipeline (ContentContextOptions opts) const
PipelineRef | GetRadialGradientSSBOFillPipeline (ContentContextOptions opts) const
PipelineRef | GetRadialGradientUniformFillPipeline (ContentContextOptions opts) const
PipelineRef | GetRRectBlurPipeline (ContentContextOptions opts) const
PipelineRef | GetRSuperellipseBlurPipeline (ContentContextOptions opts) const
PipelineRef | GetScreenBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetSolidFillPipeline (ContentContextOptions opts) const
PipelineRef | GetSourceATopBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetSourceBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetSourceInBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetSourceOutBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetSourceOverBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetSrgbToLinearFilterPipeline (ContentContextOptions opts) const
PipelineRef | GetSweepGradientFillPipeline (ContentContextOptions opts) const
PipelineRef | GetSweepGradientSSBOFillPipeline (ContentContextOptions opts) const
PipelineRef | GetSweepGradientUniformFillPipeline (ContentContextOptions opts) const
PipelineRef | GetTexturePipeline (ContentContextOptions opts) const
PipelineRef | GetTextureStrictSrcPipeline (ContentContextOptions opts) const
PipelineRef | GetTiledTexturePipeline (ContentContextOptions opts) const
PipelineRef | GetXorBlendPipeline (ContentContextOptions opts) const
PipelineRef | GetYUVToRGBFilterPipeline (ContentContextOptions opts) const
std::shared_ptr< Texture > | GetEmptyTexture () const
std::shared_ptr< Context > | GetContext () const
const Capabilities & | GetDeviceCapabilities () const
fml::StatusOr< RenderTarget > | MakeSubpass (std::string_view label, ISize texture_size, const std::shared_ptr< CommandBuffer > &command_buffer, const SubpassCallback &subpass_callback, bool msaa_enabled=true, bool depth_stencil_enabled=false, int32_t mip_count=1) const
| Creates a new texture of size `texture_size` and calls `subpass_callback` with a `RenderPass` for drawing to the texture. More...
fml::StatusOr< RenderTarget > | MakeSubpass (std::string_view label, const RenderTarget &subpass_target, const std::shared_ptr< CommandBuffer > &command_buffer, const SubpassCallback &subpass_callback) const
| Makes a subpass that will render to `subpass_target`. More...
const std::shared_ptr< LazyGlyphAtlas > & | GetLazyGlyphAtlas () const
const std::shared_ptr< RenderTargetAllocator > & | GetRenderTargetCache () const
PipelineRef | GetCachedRuntimeEffectPipeline (const std::string &unique_entrypoint_name, const ContentContextOptions &options, const std::function< std::shared_ptr< Pipeline< PipelineDescriptor >>()> &create_callback) const
void | ClearCachedRuntimeEffectPipeline (const std::string &unique_entrypoint_name) const
HostBuffer & | GetTransientsIndexesBuffer () const
| Retrieve the current host buffer for transient storage of indexes used for indexed draws. More...
HostBuffer & | GetTransientsDataBuffer () const
| Retrieve the current host buffer for transient storage of other non-index data. More...
void | ResetTransientsBuffers ()
| Resets the transients buffers held onto by the content context. More...
TextShadowCache & | GetTextShadowCache () const

## Additional Inherited Members
Public Types inherited from impeller::ContentContext
using | SubpassCallback = std::function< bool(const ContentContext &, RenderPass &)>
Protected Member Functions inherited from impeller::ContentContext
void | SetTransientsIndexesBuffer (std::shared_ptr< HostBuffer > host_buffer)
void | SetTransientsDataBuffer (std::shared_ptr< HostBuffer > host_buffer)

## Detailed Description

Definition at line 2836 of file entity_unittests.cc.

## Constructor & Destructor Documentation

## ◆ FlushTestContentContext()

impeller::testing::FlushTestContentContext::FlushTestContentContext | ( | const std::shared_ptr< Context > & | context,
|  | const std::shared_ptr< TypographerContext > & | typographer_context,
|  | const std::shared_ptr< Allocator > & | allocator
| ) |  |
| inline

Definition at line 2838 of file entity_unittests.cc.

2842 : ContentContext(context, typographer_context) {
2843 SetTransientsDataBuffer(HostBuffer::Create(
2844 allocator, context->GetIdleWaiter(),
2845 context->GetCapabilities()->GetMinimumUniformAlignment()));
2846 SetTransientsIndexesBuffer(HostBuffer::Create(
2847 allocator, context->GetIdleWaiter(),
2848 context->GetCapabilities()->GetMinimumUniformAlignment()));
2849 }
impeller::ContentContext::SetTransientsDataBuffer
void SetTransientsDataBuffer(std::shared_ptr< HostBuffer > host_buffer)
Definition: content_context.h:313
impeller::ContentContext::ContentContext
ContentContext(std::shared_ptr< Context > context, std::shared_ptr< TypographerContext > typographer_context, std::shared_ptr< RenderTargetAllocator > render_target_allocator=nullptr)
Definition: content_context.cc:549
impeller::ContentContext::SetTransientsIndexesBuffer
void SetTransientsIndexesBuffer(std::shared_ptr< HostBuffer > host_buffer)
Definition: content_context.h:308
impeller::HostBuffer::Create
static std::shared_ptr< HostBuffer > Create(const std::shared_ptr< Allocator > &allocator, const std::shared_ptr< const IdleWaiter > &idle_waiter, size_t minimum_uniform_alignment)
Definition: host_buffer.cc:21

References impeller::HostBuffer::Create(), impeller::ContentContext::SetTransientsDataBuffer(), and impeller::ContentContext::SetTransientsIndexesBuffer().

The documentation for this class was generated from the following file:

- impeller/entity/entity_unittests.cc